%define pkgname mmpython

Summary: Python Media Meta Data retrieval framework
Name: python-mm
Version: 0.4.10
Release: %mkrel 1
Source0: http://mesh.dl.sourceforge.net/sourceforge/mmpython/%{pkgname}-%{version}.tar.bz2
License: LGPL
URL: http://sourceforge.net/projects/mmpython/
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: python-devel
BuildRequires: libdvdread-devel

%description
MMPython is a Media Meta Data retrieval framework. 
It retrieves metadata from mp3, ogg, avi, jpg, tiff and 
other file formats. Among others it thereby parses ID3v2, 
ID3v1, EXIF, IPTC and Vorbis data into an object oriented 
struture.

%prep
%setup -q -n %{pkgname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)


%changelog
* Wed Jan 03 2007 Crispin Boylan <crisb@mandriva.org> 0.4.10-1mdv2007.0
+ Revision: 103485
-New version

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new python
    - Import python-mm



* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.9-1mdk
- New version from Cris

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.4.7-2mdk
- Rebuild for new python

* Sun Nov 07 2004 Erwan Velu <erwan@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7
* Sat Aug 14 2004 Erwan Velu <erwan@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5
* Thu Jun 17 2004 Erwan Velu <erwan@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Sun Dec 20 2003 Erwan Velu <erwan@mandrakesoft.com> 0.3-4mdk
- Reverting patch
* Thu Dec 18 2003 Erwan Velu <erwan@mandrakesoft.com> 0.3-3mdk
- Dvdinfo patch from CVS
* Mon Dec 15 2003 Erwan Velu <erwan@mandrakesoft.com> 0.3-2mdk
- Rebuild
* Fri Dec 12 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.3-1mdk
- new release

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- First Mandrake package
- Patch0 (CVS): fix Python 2.3 warning
